petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPMonitorTrueResidualMaxNorm

Prints the true residual max norm each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorTrueResidualMaxNorm(KSP ksp,PetscInt n,PetscReal rnorm,PetscViewerAndFormat *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - norm (preconditioned) residual value (may be estimated).
| dummy | - an ASCII viewer

### Options Database Key

-ksp_monitor_max -Activates KSPMonitorTrueResidualMaxNorm()

### Notes

This could be implemented (better) with a flag in ksp.

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorDefault(), KSPMonitorLGResidualNormCreate(),KSPMonitorTrueResidualNorm()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages